# Wi-Fi Password Generator

![screenshot](assets/screenshot.png)

**Wi-Fi Password Generator** is a cross-platform Python app for generating secure Wi-Fi passwords of up to 63 characters — the maximum allowed by WPA/WPA2 standards. It features a user-friendly GUI built with [CustomTkinter](https://github.com/TomSchimansky/CustomTkinter)

<!-- , and can optionally generate a QR code for easy scanning and sharing. -->

---

## Features

- Generate strong random passwords (up to 63 characters)
- Customize password length and character set
- Cross-platform
- Dark and modern UI with CustomTkinter
- Runs locally and offline

<!-- - Optional QR code generation (scan to connect) -->
---

## Installation

<!-- You can install Wi-Fi Password Generator directly from **PyPI**: -->
<!---->
<!-- ```bash -->
<!-- pip install Wi-Fi Password Generator -->
<!-- ``` -->
<!---->
<!-- Or clone the repository manually: -->
git clone https://github.com/heit0r/Wi-FiPasswordGenerator.git
<!-- cd Wi-FiPasswordGenerator -->
<!-- pip install . -->

---

## Running the App

<!-- After installing, run the app using: -->
<!---->
<!-- wpg -->
<!---->
<!-- Or, if you cloned the repo manually: -->
<!---->
<!-- python -m wpg -->

python wpg.py

---

## Dependencies

<!-- These will be installed automatically via pip, but here’s what the project uses: -->

    customtkinter

You can install it manually with:

pip install customtkinter

<!-- ## Platform Notes -->
<!---->
<!-- ### Windows -->
<!---->
<!-- Just install Python from python.org, then run: -->
<!---->
<!-- pip install Wi-FiPasswordGenerator -->
<!-- Wi-FiPasswordGenerator -->
<!---->
<!---->
<!-- ### Linux -->
<!---->
<!-- Make sure python3 and pip are installed: -->
<!---->
<!-- sudo apt install python3 python3-pip  # Debian/Ubuntu -->
<!-- pip install Wi-FiPasswordGenerator -->
<!-- Wi-FiPasswordGenerator -->
<!---->
<!-- ### macOS -->
<!---->
<!-- Install Python via Homebrew or the official installer: -->
<!---->
<!-- brew install python -->
<!-- pip3 install Wi-FiPasswordGenerator -->
<!-- Wi-FiPasswordGenerator -->

---

## License

This project is licensed under the MIT License. See the LICENSE file for details.

---

## Credits

UI powered by [CustomTkinter](https://github.com/TomSchimansky/CustomTkinter)
    
<!-- QR code generation via qrcode (BSD License) -->

---

## Contributing

Pull requests, suggestions, and forks are welcome. If you improve the project or add features, feel free to share.

---

## Disclaimer

Currently in pre-alpha, with only partial functionality implemented. This app is intended for personal and educational use. Always use the stronger (longer) passwords possible.
